Bug 241776 - mail/akpop3d: fix unfetchable distfile
Summary: mail/akpop3d: fix unfetchable distfile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-07 07:57 UTC by takefu
Modified: 2020-05-09 08:45 UTC (History)
3 users (show)

See Also:


Attachments
akpop3d-0.7.7.patch (1.31 KB, patch)
2019-11-07 07:57 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2019-11-07 07:57:54 UTC
Created attachment 208933 [details]
akpop3d-0.7.7.patch

add rc.d script
fix MASTER_SITES
Comment 1 Automation User 2020-01-09 00:23:39 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/107959297
Comment 2 daniel.engberg.lists 2020-04-30 21:20:27 UTC
Hi Antoine,

This fixes akpop3d that's been marked as unfetchable.

Best regards,
Daniel
Comment 3 daniel.engberg.lists 2020-05-02 17:30:25 UTC
Passes poudriere testport on 12.1-RELEASE (AMD64)
Comment 4 commit-hook freebsd_committer 2020-05-02 17:46:34 UTC
A commit references this bug:

Author: mandree
Date: Sat May  2 17:45:46 UTC 2020
New revision: 533697
URL: https://svnweb.freebsd.org/changeset/ports/533697

Log:
  mail/akpop3d: unbreak port, un-expire

  While here, default-enable SSL option.

  PR:		241776
  Submitted by:	takefu@airport.fm
  MFH:		2020Q2 (blanket, fixing BROKEN= port)

Changes:
  head/mail/akpop3d/Makefile
  head/mail/akpop3d/files/
  head/mail/akpop3d/files/akpop3d.in
Comment 5 commit-hook freebsd_committer 2020-05-02 17:48:36 UTC
A commit references this bug:

Author: mandree
Date: Sat May  2 17:48:14 UTC 2020
New revision: 533698
URL: https://svnweb.freebsd.org/changeset/ports/533698

Log:
  MFH: r533697

  mail/akpop3d: unbreak port, un-expire

  Add a rcfile.

  While here, default-enable SSL option.

  PR:		241776
  Submitted by:	takefu@airport.fm

  Approved by:	ports-secteam@ (blanket, port was BROKEN=unfetchable)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/akpop3d/Makefile
  branches/2020Q2/mail/akpop3d/files/
Comment 6 Matthias Andree freebsd_committer 2020-05-02 17:49:32 UTC
Takefu, thanks for the fix and the rcfile (sorry for not mentioning it in the commit on head/). 

Would you want to become maintainer for this port? 
If so, I can set it directly (no need for another patch).
Comment 7 takefu 2020-05-08 08:53:57 UTC
(In reply to Matthias Andree from comment #6)

No thanks.
:-)